/*
 * Copyright [2011] [Pettersen Consulting]
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.   
 */
package com.edb.os.xstream.writer;

import java.io.Writer;

import com.edb.os.xstream.ClassWriterFactory;

/**
 * @author Oystein Pettersen
 */
public class EmptyWriter extends ClassWriter {

    public EmptyWriter(String name, Class<?> clazz, int depthIndex, ClassWriterFactory classWriterFactory) {
        super(name, clazz, depthIndex, classWriterFactory);
    }

    @Override
    public void create(Writer writer) {
    }

    @Override
    public void add(ClassWriter childAttribute, Writer writer) {
    }

}
